[alpine-devel] [PATCH] testing/py-graphiz: new aport
Export this patch
py-graphiz is better maintained on github.
This fixes a broken gui on virtualbricks.
---
testing/py-graphviz/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
1 file changed, 42 insertions(+)
create mode 100644 testing/py-graphviz/APKBUILD
applied. thanks!
-nc
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
diff --git a/testing/py-graphviz/APKBUILD b/testing/py-graphviz/APKBUILD
new file mode 100644
index 0000000..d3547e5
--- /dev/null
+++ b/testing/py-graphviz/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=py-graphviz
+pkgver=1.3
+_pkgver=rc2
+pkgrel=0
+pkgdesc="Python interface to Graphviz"
+url="https://pypi.python.org/pypi/pygraphviz | http://graphviz.org/"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev graphviz-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/pygraphviz/pygraphviz/archive/pygraphviz-$pkgver$_pkgver.tar.gz"
+
+_builddir="$srcdir"/pygraphviz-pygraphviz-$pkgver$_pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export PYTHON=python2.7
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="91f6d57dfc63cefa12c38eba3f09db09 pygraphviz-1.3rc2.tar.gz"
+sha256sums="46737437bd872788b376aeddef9176def9f87339deed739f6769ee8dbe68121f pygraphviz-1.3rc2.tar.gz"
+sha512sums="f1ed6e52a07320701e788696b8dc46d0903bdbd740645f07658265bb9dea411b43d90d97ecb2ed658fec4c53fa966d89f5feef0aa62acb4157f6ba662475d876 pygraphviz-1.3rc2.tar.gz"
--
2.2.0
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---